.designs-area {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: var(--space-md);
}

.designs-img-wrapper {
    min-width: 0;
    position: relative;
    border: 1px solid rgba(0, 0, 0, .4);
}

.designs-img-wrapper img {
    width: 100%;
}

#zoom-in-button {
    position: absolute;
    top: 0;
    right: 0;
    border: 0;
    background-color: rgba(0, 0, 0, .5);
    color: wheat;
    cursor: pointer;
    border-bottom-left-radius: .4em;
}

#zoom-in-button svg {
    vertical-align: middle;
}

.designs-text-wrapper .designs-text {
    margin-top: var(--space-sm);
}

.designs-text-wrapper .designs-text p:not(:last-child) {
    margin-bottom: var(--space-sm);
}

@media (max-width: 991px){
    .designs-area{
        grid-template-columns: 1fr;
    }
    .designs-img-wrapper{
        max-width: 500px;
    }
}

#lightbox {
    visibility: hidden;
    opacity: 0;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, .7);
    overflow: auto;
    outline: none;
    transition: visibility 1s, opacity 1s;
}

#lightbox.active{
    visibility: visible;
    opacity: 1;
}

#lightbox .controls {
    position: fixed;
    top: 14px;
    right: clamp(14px, 1.53vw + 9.105px, 30px);
    z-index: 5;
    display: flex;
    justify-content: flex-end;
    column-gap: var(--space-xs);
}

#lightbox .controls button {
    background-color: rgba(0, 0, 0, .2);
    color: white;
    cursor: pointer;
    padding: .6em 1em;
    border: 1px solid hsl(0, 0%, 78%);
}

#lightbox-img-wrapper{
    display: inline-block;
}

#lightbox-img{
    visibility: hidden;
    opacity: 0;
    transition: transform .3s, visibility 1s, opacity 1s;
    transform-origin: top left;
}

#lightbox.active #lightbox-img{
    visibility: visible;
    opacity: 1;
}